Skip to main content
PUT
/
payments
/
contacts
/
{id}
Update Contact
curl --request PUT \
  --url https://api.rootfi.dev/v4/payments/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "name": "<string>",
  "tax_number": "<string>",
  "status": "ACTIVE",
  "addresses": [
    {
      "type": "SHIPPING",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>"
    }
  ]
}
'
{
  "rootfi_id": 157,
  "rootfi_created_at": "2024-01-22T05:07:31.465Z",
  "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
  "rootfi_company_id": 1089,
  "platform_id": "123456",
  "rootfi_deleted_at": "2023-11-07T05:31:56Z",
  "platform_unique_id": "<string>",
  "raw_data": {},
  "data_hash": "<string>",
  "name": "<string>",
  "tax_number": "<string>",
  "type": "CUSTOMER",
  "status": "ACTIVE",
  "created_at": "<string>",
  "updated_at": "<string>",
  "addresses": [
    {
      "type": "SHIPPING",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>"
    }
  ]
}
Update an existing contact in the payment platform. Only provided fields will be updated.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe rootfi_id or platform_id of the contact to update

Request Body

FieldTypeRequiredDescription
namestringNoFull name or business name of the contact
tax_numberstringNoTax identification number
statusstringNoContact status (active, inactive, suspended)
addressesarrayNoArray of address objects
See Contact Overview for complete field details.

Authorizations

api_key
string
header
required

Path Parameters

id
string
required

The rootfi_id or platform_id of the contact

Body

application/json
name
string | null
tax_number
string | null
status
enum<string> | null
Available options:
ACTIVE,
INACTIVE,
SUSPENDED,
ARCHIVED,
UNKNOWN
addresses
paymentsV4Address · object[] | null

Response

Contact updated successfully

V4 Contact model representing individuals or business entities that receive invoices and make payments.

rootfi_id
number<double>
required

The unique ID we assign for that data's information

Example:

157

rootfi_created_at
string<date-time>
required

The date at which RootFi first synced this data

Example:

"2024-01-22T05:07:31.465Z"

rootfi_updated_at
string<date-time>
required

The latest date at which RootFi updated this data

Example:

"2024-01-22T05:07:31.000Z"

rootfi_company_id
number<double>
required

The ID of the company in the accounting platform

Example:

1089

platform_id
string
required

An unique custom RootFi ID made from platform's unique_id.

Example:

"123456"

rootfi_deleted_at
string<date-time> | null

The date at which the data was deleted in the accounting platform

platform_unique_id
string | null

The ID of the data in the accounting platform.

raw_data
object

A JSON containing fields that you can directly get from the accounting platform.

data_hash
string | null

The hash of the data

name
string | null

Full name or business name of the contact (e.g., "Acme Corporation").

tax_number
string | null

Tax identification number (e.g., EIN, VAT number, SSN).

type
enum<string> | null

Type of contact relationship (CUSTOMER, VENDOR, BOTH, UNKNOWN).

Available options:
CUSTOMER,
VENDOR,
BOTH,
UNKNOWN
status
enum<string> | null

Current status of the contact account (ACTIVE, INACTIVE, SUSPENDED, ARCHIVED, UNKNOWN).

Available options:
ACTIVE,
INACTIVE,
SUSPENDED,
ARCHIVED,
UNKNOWN
created_at
string | null

Original creation timestamp from the source platform (ISO 8601).

updated_at
string | null

Last modification timestamp from the source platform (ISO 8601).

addresses
paymentsV4Address · object[] | null

Collection of Address objects for billing and shipping.